2008-10-01 07:13  rjongbloed

	* [r21201] version.h:
	  Update version number for beta v2.5.1

2008-10-01 19:20  ms30002000

	* [r21207] make/lib.mak:
	  Also delete static lib on make clean.

2008-10-02 04:12  csoutheren

	* [r21212] Makefile.in:
	  Add distclean target

2008-10-02 08:52  rjongbloed

	* [r21219] include/ptlib/msos/ptlib/pprocess.h,
	  include/ptlib/msos/ptlib/ptlib.inl, include/ptlib/pprocess.h,
	  include/ptlib/thread.h, include/ptlib/unix/ptlib/pprocess.h,
	  include/ptlib/unix/ptlib/thread.h, samples/threadex/main.cxx,
	  src/ptlib/Nucleus++/NucleusThread.cxx,
	  src/ptlib/common/osutils.cxx, src/ptlib/msos/win32.cxx,
	  src/ptlib/unix/tlib.cxx, src/ptlib/unix/tlibbe.cxx,
	  src/ptlib/unix/tlibmpthrd.cxx, src/ptlib/unix/tlibthrd.cxx,
	  src/ptlib/unix/tlibvx.cxx:
	  Fixed problem where if a thread not created by PTLib executes
	  some PTLib functions (in particular I/O) then crashes. Changed so
	  that if PThread::Current() is called on an unknown thread a new
	  PThread object is created on the spot. Then (unfortunately) had
	  to add a timeout to the housekeeping thread so it periodically
	  cleans then up when they go away.
	  
	  Only checked on Windows and Linux. The other platforms will
	  likely be broken. :-(

2008-10-02 23:04  csoutheren

	* [r21224] ptlib.mak:
	  Removed ancient history.
	  Note that make/ptlib.mak should be used

2008-10-03 00:42  rjongbloed

	* [r21225] src/ptlib/common/sockets.cxx:
	  Fixed correct upper/lower case comparisons as per RFC952 for
	  domain names, which is not locale dependent, remove use of
	  toupper().

2008-10-03 11:41  ms30002000

	* [r21229] Makefile.in, make/lib.mak:
	  Killed the ununsed .major and .major.minor symlinks.
	  The SONAME has always referred to the .major.minor.build lib.

2008-10-05 16:25  hfriederich

	* [r21240] src/ptlib/common/osutils.cxx,
	  src/ptlib/unix/tlibthrd.cxx:
	  Fix compilation for Mac OS X

2008-10-08 02:38  rjongbloed

	* [r21267] src/ptlib/common/osutils.cxx:
	  Added clearing of internal PProcess instance to help with "C" API
	  usage after shut down. Thanks Yuriy Cherniavsky

2008-10-08 16:53  hfriederich

	* [r21271] src/ptlib/unix/tlibthrd.cxx:
	  Fix deadlock within PTRACE()

2008-10-08 19:49  hfriederich

	* [r21272] src/ptlib/unix/tlibthrd.cxx:
	  Avoid abnormal _exit(1) when destroying the PProcess instance

2008-10-08 19:56  dsandras

	* [r21273] plugins/sound_alsa/sound_alsa.cxx:
	  Fixed gcc warning.

2008-10-10 06:32  csoutheren

	* [r21279] Makefile.in:
	  Add aclocal.m4 to distclean target

2008-10-11 03:01  rjongbloed

	* [r21282] ., configure.ac:
	  Fixed Windows Speech API search directory to be more flexible.

2008-10-12 09:35  ms30002000

	* [r21286] configure, configure.ac, make/ptbuildopts.mak.in,
	  src/Makefile:
	  Make vfw configurable.

2008-10-12 17:29  dsandras

	* [r21292] src/ptclib/pstun.cxx:
	  Fixed problem with Open NAT.

2008-10-13 00:24  rjongbloed

	* [r21297] ., src/ptclib/vxml.cxx:
	  Applied patch for VXML not starting if not yet loaded and then
	  not being started if later does get loaded. Thanks Antonio
	  Rivera.

2008-10-13 07:06  rjongbloed

	* [r21306] ., src/ptclib/psockbun.cxx:
	  Fixed incorrect port displayed in trace log for STUN, very
	  confusing.

2008-10-13 17:36  dsandras

	* [r21314] src/ptclib/pstun.cxx:
	  Make sure CreateSocket also works with open nat.

2008-10-14 06:46  rjongbloed

	* [r21323] ., src/ptlib/common/sockets.cxx:
	  Fixed problem with "interface only" ip addresses not being parsed
	  correctly on Windows Mobile systems.

2008-10-15 03:53  rjongbloed

	* [r21338] ., src/ptclib/vxml.cxx:
	  More fixes to VXML, thank you Antonio Rivera

2008-10-15 06:36  rjongbloed

	* [r21341] src/ptclib/vxml.cxx:
	  More fixes to VXML, thank you Antonio Rivera

2008-10-15 11:33  csoutheren

	* [r21343] configure, configure.ac:
	  Added missing output when OpenSSL enabled

2008-10-15 11:46  csoutheren

	* [r21344] configure, configure.ac:
	  more fixes

2008-10-15 22:18  hfriederich

	* [r21345] src/ptlib/unix/tlibthrd.cxx:
	  Fix another deadlock occurring when calling PTRACE while
	  process.activeThreads is locked

2008-10-15 23:38  rjongbloed

	* [r21348] include/ptlib/pstring.h:
	  Added ability to output PString to UNICODE stream (wostream)

2008-10-15 23:46  csoutheren

	* [r21349] src/ptlib/common/osutils.cxx, src/ptlib/msos/vfw.cxx:
	  Ensure Windows video output devices are available when using MSVC
	  and not just MingW

2008-10-16 04:31  csoutheren

	* [r21360] src/ptclib/pvfiledev.cxx:
	  Allow video file output device to work with new files

2008-10-16 05:32  rjongbloed

	* [r21364] ., include/ptlib/safecoll.h,
	  src/ptlib/common/safecoll.cxx:
	  Fixed problem with PSafeCollection destructor deleting objects
	  even if they still have a PSafePtr referencing them.

2008-10-16 19:06  ms30002000

	* [r21374] src/ptlib/common/osutils.cxx:
	  Fix compilation without video for windows.

2008-10-21 04:42  csoutheren

	* [r21390] src/ptclib/pvfiledev.cxx:
	  Fix frame rate setting for video file input device

2008-10-21 07:45  csoutheren

	* [r21396] src/ptclib/pvidfile.cxx:
	  Remove incorrect use of extended regexes that don't work on Linux

2008-10-21 07:46  csoutheren

	* [r21397] src/ptlib/common/contain.cxx:
	  Added assert if constructed regexes do not compile

2008-10-26 19:57  ms30002000

	* [r21411] make/plugins.mak:
	  Fix plugins linking with --as-needed thanks to Vitaly Lipatov.

2008-10-27 01:42  csoutheren

	* [r21413] src/ptlib/unix/osutil.cxx:
	  Bring over Windows implementation of PTextFile functions.

2008-10-28 17:53  ms30002000

	* [r21417] include/ptlib/msos/ptlib/sound_win32.h,
	  src/ptlib/msos/sound_win32.cxx:
	  Fix ugly crash in PSoundchannelWin32 -
	  When using the "Default" device os_handles = -1 seem
	  to be used, leading to crashes when the PSoundchannelWin32
	  object is being destroyed but the buffers are still being
	  accessed...

2008-11-04 06:31  rjongbloed

	* [r21442] ReadMe.txt, include/ptclib/guid.h,
	  include/ptclib/pxml.h, include/ptlib/ipsock.h:
	  Applied patch
	  
	  [ 2198609 ] Docs fix for ipsock.h
	  [ 2197518 ] Fix some typos.
	  [ 2188895 ] Remove useless preprocessor check in pxml.h
	  
	  thanks Stefano Sabatini

2008-11-04 07:20  rjongbloed

	* [r21446] src/ptclib/pwavfile.cxx:
	  Fixed memory leak in WAV file handling, thanks Antonio Rivera

2008-11-06 07:22  rjongbloed

	* [r21463] src/ptlib/msos/vfw.cxx:
	  Added trace log message if times out waiting for video frame
	  grab.

2008-11-07 00:07  rjongbloed

	* [r21466] include/ptlib/ipsock.h, include/ptlib/udpsock.h,
	  src/ptclib/psockbun.cxx, src/ptclib/url.cxx,
	  src/ptlib/common/sockets.cxx, src/ptlib/msos/ethsock.cxx:
	  Improved IPv6 support, thanks Yuri Kiryanov

2008-11-07 04:50  rjongbloed

	* [r21470] ., include/ptclib/psockbun.h, include/ptlib/ipsock.h,
	  src/ptclib/psockbun.cxx, src/ptlib/msos/ethsock.cxx,
	  src/ptlib/unix/socket.cxx:
	  Added function to wait for route table or network interface
	  change. Currently only a Windows implementation.
	  
	  Changed socket bundling code (with a both of a clean up) to use
	  the above function.
	  
	  Added ability for external applications to speed up the interface
	  detection by calling PInterfaceMonitor::GetInstance().Start() at
	  any time they like.

2008-11-07 06:02  rjongbloed

	* [r21473] ., src/ptlib/msos/ethsock.cxx:
	  Fixed new route table change function to be compatible with older
	  versions of Windows.

2008-11-07 06:05  rjongbloed

	* [r21474] ., include/ptlib/msos/ptlib/sound_directsound.h,
	  src/ptlib/msos/sound_directsound.cxx:
	  Added missing function to get opened DirectSound device name.

2008-11-07 21:29  ykiryanov

	* [r21477] src/ptlib/common/sockets.cxx:
	  Fix for IPV6 code when P_HAS_IPV6 is not set

2008-11-07 22:37  ykiryanov

	* [r21478] include/ptlib/msos/ptlib/addrv6.h:
	  adding missing file for ipv6 vista build

2008-11-07 23:09  ykiryanov

	* [r21479] include/ptlib/msos/ptlib/addrv6.h:
	  removed dependency to some includes.

2008-11-07 23:10  ykiryanov

	* [r21480] src/ptlib/msos/ethsock.cxx:
	  added missing ! operator to route table class

2008-11-08 02:51  rjongbloed

	* [r21481] src/ptlib/unix/socket.cxx:
	  Fixed unix compile after recent check in.

2008-11-08 23:20  ykiryanov

	* [r21484] src/ptlib/msos/ethsock.cxx:
	  added tchar.h include to use macro _T, which is helpful when
	  building cross platform

2008-11-09 23:01  rjongbloed

	* [r21485] src/ptlib/common/sockets.cxx:
	  When used in the "hostname" context, an v6 IP address must be
	  surrounded by [] brackets.

2008-11-09 23:38  rjongbloed

	* [r21486] samples/ipv6test/main.cxx:
	  Minor cosmetic corrections for IPv6 test program.

2008-11-11 13:13  csoutheren

	* [r21500] src/ptlib/common/sockets.cxx:
	  Remove obsolete requirement for hostnames to start with alpha
	  char

2008-11-12 23:55  rjongbloed

	* [r21507] ., include/ptlib/msos/ptlib/vidinput_directx.h,
	  include/ptlib/videoio.h, plugins/vidinput_v4l2/Makefile.in,
	  ptlib_samples_2005.sln, samples/vidtest/main.cxx,
	  samples/vidtest/vidtest_2005.vcproj,
	  src/ptlib/common/vconvert.cxx, src/ptlib/common/videoio.cxx,
	  src/ptlib/msos/vidinput_directx.cxx:
	  Major rewrite of DirectSHow camera grabber code, in an attempt to
	  a) make it more understandable and b) support Windows Mobile.
	  
	  Added (partial) support for YVU420P format, aka YV12. Same as
	  YUV420P but V/U planes swapped.
	  
	  Added GetDeviceCapabilities() for an already open Video Input
	  device.
	  
	  Enhanced and updated the PTLib sample for video testing.

2008-11-13 00:00  rjongbloed

	* [r21509] ., src/ptlib/common/osutils.cxx:
	  Fixed Windows Mobile trace log to debugstream being double
	  spaced.

2008-11-13 08:04  rjongbloed

	* [r21516] src/ptlib/common/safecoll.cxx:
	  Fixed failure to delete PSafeObjects when only used in PSafePtrs
	  and PSafeCollections with DisallowDeleteObjects enabled.

2008-11-14 03:23  rjongbloed

	* [r21519] include/ptlib/msos/ptlib/svcproc.h,
	  include/ptlib/pprocess.h, src/ptlib/common/osutils.cxx,
	  src/ptlib/msos/ptlib.cxx, src/ptlib/unix/tlib.cxx:
	  Added PProcess::OnInterrupt() function so can intercept
	  SIGINT/SIGTERM and do "orderly exit" of application.

2008-11-14 11:01  csoutheren

	* [r21525] include/ptclib/url.h, src/ptclib/url.cxx:
	  Ensure copied PURLs get unique query and parameter lists

2008-11-16 23:04  ykiryanov

	* [r21531] src/ptlib/msos/ethsock.cxx:
	  cleaned up validatiob of ipv6 addresses

2008-11-17 02:52  ykiryanov

	* [r21532] src/ptlib/common/sockets.cxx:
	  removed wrong code checking SO_TYPE, which could be SOCK_STREAM
	  or SOCK_DGRAM, and comparing it to socket family.

2008-11-17 06:47  ykiryanov

	* [r21534] src/ptlib/common/sockets.cxx:
	  made address created as ipv6 if default address family is
	  AF_INET6

2008-11-17 07:23  rjongbloed

	* [r21536] include/ptlib/ipsock.h, src/ptlib/common/sockets.cxx:
	  Added ability to get IPv6 address as a "bracketed" string.

2008-11-17 21:17  hfriederich

	* [r21540] src/ptlib/common/sockets.cxx:
	  Fix compilation if IPv6 is disabled

2008-11-18 01:18  rjongbloed

	* [r21542] include/ptclib/psockbun.h, src/ptclib/psockbun.cxx:
	  Split socket bundling mutexes so can access interface list while
	  the client list is locked. Preventing deadlock.

2008-11-18 04:27  ykiryanov

	* [r21544] src/ptlib/msos/ethsock.cxx:
	  2 things: used includeDown flag for non-active interfaces and
	  filtering out non-default interfaces

2008-11-18 20:42  ykiryanov

	* [r21547] src/ptlib/common/sockets.cxx:
	  fixed broadcast6 address

2008-11-18 21:00  ykiryanov

	* [r21548] src/ptclib/psockbun.cxx:
	  safety check - make single monitored socket of default address
	  type

2008-11-18 23:03  csoutheren

	* [r21549] include/ptlib/svcproc.h, src/ptlib/common/osutils.cxx:
	  Move some functions from header file to source file to
	  (hopefully)
	  avoid warnings on Linux
	  Thanks to Derek Smithies

2008-11-18 23:28  rjongbloed

	* [r21550] src/ptlib/common/sockets.cxx:
	  Cleaned up some usage of ==(int) for PIPSocket::Address type.
	  Still kept for backward compatibility, but it's use is
	  discouraged as it is only meaningful for IPv4.

2008-11-19 00:09  rjongbloed

	* [r21551] src/ptclib/httpform.cxx:
	  Fixed assert when empty regular expression was used.

2008-11-19 00:09  rjongbloed

	* [r21552] src/ptlib/msos/svcproc.cxx:
	  Fixed assert when exiting PServiceProcess on Windows.

2008-11-19 01:09  ykiryanov

	* [r21554] src/ptlib/common/sockets.cxx:
	  trying to replace IsBroadcast for ipv6 from returning plain "no"
	  to more flexible broadcast6 address

2008-11-19 08:21  ykiryanov

	* [r21559] src/ptlib/msos/ethsock.cxx:
	  fixed operator! of PIPRouteTableVista class.

2008-11-20 02:04  ykiryanov

	* [r21566] src/ptlib/msos/ethsock.cxx:
	  fixed one more mistake. operator ! of route table on vista should
	  return true if number of entries in table equals 0

2008-11-20 05:15  rjongbloed

	* [r21578] src/ptlib/msos/ethsock.cxx:
	  Disable global optimization in MSVC for one function to avoid a
	  crash. Who knows why?

2008-11-20 12:51  rjongbloed

	* [r21582] include/ptlib/svcproc.h, src/ptlib/msos/svcproc.cxx:
	  Fixed compiler/streams compatibility.

2008-11-21 07:47  ykiryanov

	* [r21586] src/ptlib/common/sockets.cxx:
	  added characters :[] to valid address characters

2008-11-22 08:20  rjongbloed

	* [r21587] src/ptlib/common/sockets.cxx:
	  Reversed out previous check in as this is not the place to fix
	  the issue.

2008-11-23 08:06  ykiryanov

	* [r21590] include/ptclib/pdns.h:
	  wince complains about ambiguous prototype

2008-11-23 08:07  ykiryanov

	* [r21591] src/ptlib/msos/ptlib.cxx:
	  ifdefd for WINCE

2008-11-23 08:09  ykiryanov

	* [r21592] src/ptlib/msos/ethsock.cxx:
	  added casts to please wince compiler

2008-11-23 09:15  ykiryanov

	* [r21593] src/ptlib/msos/ethsock.cxx:
	  fixing previous submit - casting address structure to right
	  family

2008-11-23 09:40  ykiryanov

	* [r21594] include/ptlib/ipsock.h, src/ptlib/common/sockets.cxx:
	  added new function to set/get scope id. scope id is required when
	  a device tries to listen on one of local-link addresses (fe80::)

2008-11-23 12:16  rjongbloed

	* [r21596] include/ptclib/pdns.h:
	  Reversed previous check in as ceases to compile on VS2005.

2008-11-23 12:25  rjongbloed

	* [r21597] src/ptlib/common/sockets.cxx, src/ptlib/msos/ptlib.cxx:
	  Tidied some code relating to Windows Mobile compiler warnings.

2008-11-23 22:13  ykiryanov

	* [r21602] src/ptclib/psockbun.cxx:
	  added check for address family when address%interface combo is
	  converted to string

2008-11-23 22:14  ykiryanov

	* [r21603] src/ptlib/msos/ethsock.cxx:
	  added skipping of adding link-local (address starts from 0xFE)
	  ipv6 interfaces, if global scope id is not set.
	  these addresses won't listen if scope id is not current for them.

2008-11-23 23:06  rjongbloed

	* [r21605] configure, configure.ac:
	  Made error more .. forceful .. if pkg-config not installed on
	  system.

2008-11-24 06:42  ykiryanov

	* [r21609] include/ptclib/pdns.h:
	  another attempt to fix dnsquery problem on wm

2008-11-24 07:23  rjongbloed

	* [r21610] src/ptlib/msos/svcproc.cxx:
	  Changed service process on Windows so just running the
	  application with no arguments, prompts for the most common
	  operations: install/start/stop/deinstall the service.

2008-11-24 07:34  ykiryanov

	* [r21611] src/ptlib/common/sockets.cxx:
	  no reuse addr for ipv6 sockets

2008-11-24 09:22  ykiryanov

	* [r21613] include/ptbuildopts.h.in, src/ptlib/msos/ethsock.cxx:
	  refined link-local filter for ipv6 addresses

2008-11-24 09:31  ykiryanov

	* [r21614] include/ptbuildopts.h.in:
	  reverting inadvertent change I made

2008-11-24 12:35  rjongbloed

	* [r21615] src/ptlib/msos/svcproc.cxx:
	  Fix portability issue of Win32 registry access.

2008-11-24 14:10  csoutheren

	* [r21616] src/ptlib/common/sockets.cxx:
	  Fix compilation with IPV6

2008-11-25 00:05  rjongbloed

	* [r21617] include/ptbuildopts.h.in, include/ptclib/pdns.h,
	  src/ptlib/wm/stdlibx.cpp:
	  It is much more preferable that a feature be disabled than having
	  empty functions that do nothing! So, P_DNS is now disabled for
	  Windows Mobile.

2008-11-25 00:57  rjongbloed

	* [r21619] include/ptclib/pdns.h, src/ptclib/pdns.cxx:
	  Fixed Linux compatibility.

2008-11-26 01:24  rjongbloed

	* [r21624] ., src/ptlib/unix/socket.cxx:
	  Fixed hang on Linux (at least with gcc 4.3.1), thanks Jan
	  Willamowius

2008-11-26 12:46  csoutheren

	* [r21629] src/ptlib/unix/tlibthrd.cxx:
	  Do not use PTRACE during the destructor of an auto-delete thread
	  It is bad.

2008-11-26 12:47  csoutheren

	* [r21630] samples/threadex/main.cxx:
	  Remove comment from destructor of auto-delete thread

